Bug 1247925 - add ppc64le and aarch64 support for fpc
add ppc64le and aarch64 support for fpc
Status: NEW
Product: Fedora
Classification: Fedora
Component: fpc (Show other bugs)
rawhide
ppc64le Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Joost van der Sluis
Fedora Extras Quality Assurance
: Reopened, Tracking
Depends On:
Blocks: ARMTracker PPCTracker 1208911 1287833
  Show dependency treegraph
 
Reported: 2015-07-29 05:14 EDT by Rafael Fonseca
Modified: 2016-11-20 08:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:14:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael Fonseca 2015-07-29 05:14:59 EDT
Description of problem:

Currently there is no fpc package for ppc64le. That was due to the fact that there was no support upstream for such architecture. Now, upstream supports both ppc64le and aarch64 [1]. This package is needed as a dependency for other packages like lazarus and cqrlog.

[1] http://wiki.freepascal.org/FPC_New_Features_Trunk
Comment 2 Joost van der Sluis 2016-01-12 11:15:20 EST
ppc64le is only supported in current trunk of fpc. (3.1.1)

So it is not possible to add this to Fedora at this moment. We could try to backport the support to 3.0.0, like was done with the ARM-support in fpc 2.6.4. But that can lead to all sort of compatibility issues. (Like that Fedora's 2.6.4 arm-compiler is not able to compile the 3.0.0 compiler...)
Comment 3 Dan Horák 2016-04-18 08:24:21 EDT
(In reply to Joost van der Sluis from comment #2)
> ppc64le is only supported in current trunk of fpc. (3.1.1)
> 
> So it is not possible to add this to Fedora at this moment. We could try to
> backport the support to 3.0.0, like was done with the ARM-support in fpc
> 2.6.4. But that can lead to all sort of compatibility issues. (Like that
> Fedora's 2.6.4 arm-compiler is not able to compile the 3.0.0 compiler...)

yes, waiting for a new stable release makes sense
Comment 4 Fedora End Of Life 2016-07-19 13:14:39 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Mattia Verga 2016-09-11 04:22:42 EDT
Rawhide is going to promote aarch64 as primary architecture. We need an update to fpc trunk to support this.
Comment 6 Peter Robinson 2016-09-11 05:10:24 EDT
(In reply to Mattia Verga from comment #5)
> Rawhide is going to promote aarch64 as primary architecture. We need an
> update to fpc trunk to support this.

Or we can wait for the release with support for it. Just because aarch64 is being promoted it doesn't mean we should run something like fpc to build for it. I'd prefer to wait for it to be ready so people have a good experience.
Comment 7 Dan Horák 2016-09-11 12:39:58 EDT
Right, there is a %{fpc_arches} macro that defines the set of arches supported by FPC so we shouldn't be seeing failed builds due missing FPC.

Note You need to log in before you can comment on or make changes to this bug.